TULISAN - Feature #3536

Invoice TULISAN
03/24/2025 04:07 PM - haykal haykal

Status: QA Test Start date: 03/24/2025
Priority: Urgent Due date: 03/27/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

Dear Shofwan,

Untuk Invoice 'kan sudah kita akomodir tuh dalam bentuk Struk yang kemarn lu udh bikin. Namun, mereka request agar designnya
menyesuaikan seperti file yang gua attach ini.

Untuk pengambilannya sama seperti sebelumnya, yg diatas (tulisan DARMAWANGSA SHOP beserta alamatnya) itu tetap
berdasarkan Outlet yang dipilih. Dan yang Personal Shopper itu mengambil dari nama user admin CRMnya. Sama ada satu lagi
tambahan minta untk ditambahkan Customer Name (di bawah Personal Shopper) mengambil dari field Description di PMDCUS0001.
Untuk selebihnya sih kurang lebih sama kyk yang udh lu buat.

Note: Untuk fontnya ingin pakai Roboto
Web: https://tulisan-ecommerce-dev.minovais.com/ECommerce_Dashboard

Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (di 89)

Terimakasih.

History

#1 - 03/25/2025 09:34 AM - Kezia Pawitra Yulianti
- Due date set to 03/27/2025
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 03/25/2025 04:20 PM - shofwan shiddiq

- File clipboard-202503251618-d9boy.png added

- File clipboard-202503251619-1ngk5.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Dear haykal, struk sudah menggunakan format baru ya. bisa di akses di button download
= Receipt (54).pdf — 100% + 8]

Trelricere

Toko DS

0001

Dhammawhangsa  Store Jakarta
hello@tulisancom | +62 21 7278 0235
TULISAN.COM

Transaction [DNo

Personal Shopper
Date/Time

QTY  ITEM

1 GBOO0003 Y-S Rp.765.000

SUBTOTAL Rp.850.000
DISCOUNT Rp.85.000
SHIPPING &DELIVERY Rp.10.000

TOTAL Rp.775.000

CASHLESS PAYMENT Rp.775.000

SYARAT &KETENTUAN:

Harga sudah termasuk PPN

Barang yang sudsh dibeli tidak dapat dikembalikan
atau ditukar, kecuali terdapat cacat produksi atau
kesalshan pengiriman dari Tulisan.

Pengembalian stau pemukaran harus disjukan dalam
waktn makcimal 7 hari wtslsh barans diterima

Package :

ul
C:\Webserven\Tulisan_Dev\E-Commerce\ECommerce_ReceiptFrame.htmi
C:\Webserver\Tulisan_DeVv\E-Commerce\Receipt.html
C:\Webserver\Tulisan_Dev\E-Commerce\ViewModels\Receipt.js

SP = [CRM_RECEIPT]
PCMWFCUSTPARAM ID = CRM_RECEIPT

#3 - 03/26/2025 11:40 AM - haykal haykal
- File Perbaikan Invoice TULISAN.PNG added
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to shofwan shiddiq

Dear Shofwan,

Ada beberapa notes perbaikan ya:

-Untuk tulisan yg diatas itu (yg gw kasih panah merah) masih typo. Harusnya Darmawangsa Square Store (tulisan darmawangsa-nya gakpake h)
-Personal Shopper itu hrsnya bukan nama Customer, tapi nama user admin CRMnya
-Untuk nama Customer, tlg ditambahkan Customer Name dibawah Personal Shopper
Terimakasih.

#4 - 03/26/2025 01:56 PM - shofwan shiddiq

- File clipboard-202503261356-dmrnh.png added

- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Dear Haykal

1. Untuk address itu parameterize di table master data sales office kolom address

2. Untuk personal shopper sudah di ganti ke sales
3. sudah di tambahkan 1 lagi row customer name
Download PDF

Leelescere

Toko DS

0001
Dharmawhangsa Store Jakarta
hello@tulisan.com | +62 21 7278 0235

TULISAN.COM

Transaction |D No - 00000361
Personal Shopper : Shofwan Shiddig
Customer Name : Jennifer
Date/Time 120250326/ 10:22

qQTrY ITEM PRICE

1 ABAOODT-13-YS Rp.308.000

1 ABADOO1-13-0B Rp.308.000
SUBTOTAL Rp.616.000
DISCOUNT Rp.0
SHIPPING & DELIVERY Rp.100.000
TOTAL Rp.716.000
CASHLESS PAYMENT Rp.716.000
SYARAT & KETENTUAN:

#5 - 03/26/2025 02:44 PM - haykal haykal

- File Field Personal Shopper.PNG added

- File Harusnya rata kanan.jpg added

- File Syarat & Ketentuan harusnya pakai nomor.PNG added

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to shofwan shiddiq

Wan, masih ada beberapa catatan ya:

-Tadi 'kan gua nyoba pake user minovais, tapi yg di Personal Shopper munculnya null (Foto 1), padahal harusnya 'kan minovais

-User Tulisan ada request agar yg angka (amount) dibikin rata kanan semua (Foto 2)

-Ketika dicoba download Pdf yg bagian Syarat & Ketentuan nomornya jadi hilang Wan (Foto 3). Padahal itu harusnya ada nomornya seperti yg di file

original yg diattach.

Tolong diperbaiki ya...
Terimakasih.

#6 - 03/26/2025 04:30 PM - shofwan shiddiq

- File clipboard-202503261629-5i8nu.png added
- File clipboard-202503261630-ihmbi.png added
- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

1. Salesman sudah tampil
2. Price sudah rata kanan
3. Saat di download, sudah terlihat angka nya

Download PDF

A
0001

Darmawangsa Square Store, Jakarta
hello@tulisan.com | +62 21 7278 0235

TULISAN.COM
Transaction 1D No : 00000383
Personal Shopper : minovais
Customer Name : Daisy Edgar Jones
Date/Time 120250326/ 11:33
L ________________________________________________________]
qQry ITEM PRICE
1 GBO0O0003-Y-5 Rp.850.000
SUBTOTAL Rp.850.000
DISCOUNT Rp.0
SHIPPING & DELIVERY Rp.12.000
TOTAL Rp.862.000
CASHLESS PAYMENT Rp.862.000
SYARAT & KETENTUAN:

1. Harga sudah termasuk PPN.

2. Barang yang sudah dibeli tidak dapat dikembalikan
atau ditukar, kecuali terdapat cacat produksi atau
kesalahan pengiriman dari Tulisan.

3. Pengembalian atau penukaran harus diajukan

dalam waktu maksimal 7 hari setelah barang diterima.
4. Produk yang telah
ditandatangani/dimodifikasi/diqunakan/dicuci/dirusak
SHIPPING &DELIVERY Rp.12.000

TOTAL Rp.562.000

CASHLESS PAYMENT Rp.862.000

SYARAT&KETENTUAN:

1. Harga =ndah termazuk PPN

1. Barang vanz sudah dibeli tidak dapat dikembalikan
stau dimakar, kecuali terdapat cacat produksi atau
kesalahsn pengiriman dari Tulisan

3. Pengembalian atsu penukaran hams disjuksn dalam
waktn msksimal 7 har setelsh barans diterima

4. Produk vang telah

ditandatangani/dimodifikcasy digunalcan/dicuci/dirozak

oleh pelangean tidak dapar dikembalikan atan dimolcar
5. Dengan mengiz informaszi pelanggan sepert nama
emaiil dan nomor telepon maks pelanggan menvetujui
babwa informmasi tersebut dapat disunskas oleh Tulisan
unmk menghnbunsi pengruna baik untuk pemazaran
ataupun  administraz

TERMS & CONDITIONS:

1. Price includes VAT

2. Purchazed mem: cammot be rerurmed or exchanged,
unlezs there iz a production defect or shipping emor
from Tulizan.

3. Fetums or exchanges must be submitted within a
maximum of 7 davs after the item is received.

4. Products that have besn

signed' modifisd wsed waszhed damaged by the
customer cannot be retumed or exchanged.

5. By filling in customer information such 3z pams,
email and telephone pumber, the customer agres: that
this informarion can be uzed by Tulizan t© comtact
userz for both marketing and adminiscration.

Update:

ul
C:\Webserven\Tulisan_Dev\E-Commerce\ECommerce_ReceiptFrame.htmi
C:\Webserver\Tulisan_DeVv\E-Commerce\Receipt.html
C:\Webserver\Tulisan_DeVv\E-Commerce\ViewModels\Receipt.js

SP = [CRM_RECEIPT]
PCMWFCUSTPARAM ID = CRM_RECEIPT

Files

Tulisan_INV_2025_02.pdf 64.8 KB 03/24/2025 haykal haykal
clipboard-202503251618-d9boy.png 139 KB 03/25/2025 shofwan shiddiq
clipboard-202503251619-1ngk5.png 98.1 KB 03/25/2025 shofwan shiddiq
Perbaikan Invoice TULISAN.PNG 29.9 KB 03/26/2025 haykal haykal
clipboard-202503261356-dmrnh.png 57 KB 03/26/2025 shofwan shiddiq
Field Personal Shopper.PNG 15.2 KB 03/26/2025 haykal haykal
Harusnya rata kanan.jpg 9.46 KB 03/26/2025 haykal haykal
Syarat & Ketentuan harusnya pakai nomor.PNG 58.8 KB 03/26/2025 haykal haykal
clipboard-202503261629-5i8nu.png 169 KB 03/26/2025 shofwan shiddiq
clipboard-202503261630-ihmbi.png 54.9 KB 03/26/2025 shofwan shiddiq

03/27/2025 7/7


http://www.tcpdf.org

